# Plugin Files

### config.yml

````
```yaml
# The prefix for the plugin
prefix: '&8[&eMarkets&8]'
# The primary language of the plugin
language: en_us
settings:
  # The maximum # of categories a player can add to their market before special permissions.
  max allowed market categories: 20
  creation cost:
    # How much should market's charge the player to create their market
    cost: 1000
    # If enabled, players will be charged to create their market
    enabled: true
  # If true, anyone can create a market. Otherwise they will need the permission: markets.createmarket
  allow anyone to create market: true
  # How many seconds must a player wait before they can rate the same market?
  time between ratings: 5
  # The maximum # of items a player can add to their market before special permissions.
  max allowed market items: 64
  tax:
    # The tax percentage. By default it's 13%
    percentage: 13.0
    # If true, will apply sales tax to the total when a user is buying an item
    enabled: false
  currency:
    # When using default/vault currency, what symbol should be used.
    vault symbol: $
    # The default currency selection, PluginName/CurrencyName -> Ex. Vault/Vault
    default selection: Vault/Vault
    # If true, players will be able to select which currency they want to use.
    allow user to pick: true
    # If true, Markets will only allow the usage of another item for currency.
    use item only: false
  confirmations:
    purchase: true
  # The maximum # of requests a player can make without further permission
  max allowed requests: 64
gui:
  category add item:
    items:
      offers:
        # 
        item: FLOWER_BANNER_PATTERN
      price for all:
        # 
        item: RED_SHULKER_BOX
      price:
        # 
        item: SUNFLOWER
      new item:
        # 
        item: LIME_DYE
      currency:
        # 
        item: GOLD_INGOT
  market view:
    items:
      search:
        # 
        item: DARK_OAK_SIGN
      reviews:
        # 
        item: NETHER_STAR
  shared buttons:
    back button:
      # 
      item: DARK_OAK_DOOR
    previous button:
      # 
      item: ARROW
    next button:
      # 
      item: ARROW
    exit button:
      # 
      item: BARRIER
  market settings:
    items:
      banned users:
        # 
        item: SHIELD
      close when out of stock:
        disabled:
          # 
          item: RED_STAINED_GLASS_PANE
        enabled:
          # 
          item: LIME_STAINED_GLASS_PANE
      category layout:
        item:
          # 
          item: CHEST
      home layout:
        # 
        item: PINK_BED
      closed:
        # 
        item: RED_STAINED_GLASS_PANE
      open:
        # 
        item: LIME_STAINED_GLASS_PANE
  offer creation:
    items:
      offered amount:
        # 
        item: SUNFLOWER
      breakdown:
        # 
        item: PAPER
      currency:
        # 
        item: GOLD_INGOT
      create offer:
        # 
        item: LIME_DYE
  purchase item:
    items:
      decrement:
        # 
        item: RED_STAINED_GLASS_PANE
      buy:
        # 
        item: LIME_DYE
      price breakdown:
        # 
        item: PAPER
      increment:
        # 
        item: LIME_STAINED_GLASS_PANE
  market overview:
    items:
      settings:
        # 
        item: REPEATER
      display name:
        # 
        item: NAME_TAG
      new item:
        # 
        item: LIME_DYE
      description:
        # 
        item: ENCHANTED_BOOK
      unStore market:
        # 
        item: LAVA_BUCKET
      new category:
        # 
        item: LIME_DYE
  layout editor:
    items:
      search:
        # 
        item: DARK_OAK_SIGN
      review:
        # 
        item: NETHER_STAR
  new rating:
    star:
      # 
      item: SUNFLOWER
    message:
      # 
      item: DARK_OAK_SIGN
    items:
      # 
      item: LIME_DYE
  market banned users:
    items:
      new ban:
        # 
        item: LIME_DYE
  bank:
    items:
      add:
        # 
        item: LIME_DYE
  layout control picker:
    items:
      exit:
        # 
        item: BARRIER
      search:
        # 
        item: DARK_OAK_SIGN
      prev page:
        # 
        item: ARROW
      review:
        # 
        item: NETHER_STAR
      next page:
        # 
        item: ARROW
  edit market item:
    items:
      accepting offers:
        # 
        item: LIME_STAINED_GLASS_PANE
      wholesale disabled:
        # 
        item: RED_STAINED_GLASS_PANE
      currency:
        # 
        item: GOLD_INGOT
      rejecting offers:
        # 
        item: RED_STAINED_GLASS_PANE
      wholesale enabled:
        # 
        item: LIME_STAINED_GLASS_PANE
      stock:
        # 
        item: HOPPER
  all markets:
    items:
      search:
        # 
        item: DARK_OAK_SIGN
  market category edit:
    items:
      settings:
        # 
        item: REPEATER
      display name:
        # 
        item: NAME_TAG
      unStore category:
        # 
        item: LAVA_BUCKET
      description:
        # 
        item: ENCHANTED_BOOK
  main view:
    items:
      offers:
        # 
        item: CREEPER_BANNER_PATTERN
      bank:
        # 
        item: ENDER_CHEST
      payments:
        # 
        item: GOLD_INGOT
      global:
        # 
        item: https://textures.minecraft.net/texture/fc1e73023352cbc77b896fe7ea242b43143e013bec5bf314d41e5f26548fb2d2
      requests:
        # 
        item: PAPER
  request:
    items:
      toggle:
        # 
        item: LEVER
      create:
        # 
        item: LIME_DYE
  create request:
    items:
      currency:
        # 
        item: GOLD_INGOT
      amount:
        # 
        item: SUNFLOWER
      price:
        # 
        item: SUNFLOWER
      create:
        # 
        item: LIME_DYE

```
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tweetzy.ca/official-plugins/markets/plugin-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
